﻿using System.Globalization;

namespace MauiApp1
{
    internal class Byte2Double : IValueConverter
    {
        public object? Convert(object? value, Type targetType, object? parameter, CultureInfo culture)
        {
            if (value == null) return 0.0;
            byte b = (byte)value;
            double d = (double)(b/255.0);
            return d;
        }

        public object? ConvertBack(object? value, Type targetType, object? parameter, CultureInfo culture)
        {
            if (value == null) return 0;
            double d = (double)value;
            byte b = (byte)(255*d);
            return b;
        }
    }

    internal class RGB2BrushConverter : IMultiValueConverter
    {
        public object Convert(object[] values, Type targetType, object parameter, CultureInfo culture)
        {
            if (values == null || values.Any(v => v == null)) return Brush.Black;
            byte r = (byte)values[0];
            byte g = (byte)values[1];
            byte b = (byte)values[2];
            Color kolor = Color.FromRgb(r, g, b);
            return new SolidColorBrush(kolor);
        }

        public object[] ConvertBack(object value, Type[] targetTypes, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
